Devuan bug report logs - #562
dnscrypt-proxy: apt-get build-dep dnscrypt-proxy usually fails

version graph

Package: libelogind0; Maintainer for libelogind0 is Mark Hindley <mark@hindley.org.uk>; Source for libelogind0 is src:elogind.

Reported by: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>

Date: Tue, 2 Mar 2021 06:33:02 UTC

Severity: normal

Tags: ceres, chimaera, patch

Merged with 435, 574, 609

Fixed in version 243.8-1

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Hleb Valoshka <375gnu@gmail.com>:
bug#562; Package src:dnscrypt-proxy. (Tue, 02 Mar 2021 06:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
New bug report received and forwarded. Copy sent to Hleb Valoshka <375gnu@gmail.com>. (Tue, 02 Mar 2021 06:33:05 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: submit@bugs.devuan.org
Subject: dnscrypt-proxy: apt-get build-dep dnscrypt-proxy usually fails
Date: Tue, 02 Mar 2021 15:21:50 +0900 (JST)
Source: dnscrypt-proxy
Version: 2.0.45+ds1
Severity: normal
Tags: ftbfs ceres chimaera

Dear Maintainer,

apt-get build-dep dnscrypt-proxy fails as follows under usual setup of Devuan.
Is it a feature?

Script started on 2021-03-02 15:14:21+09:00 [TERM="linux" TTY="/dev/tty1" COLUMNS="128" LINES="48"]
root@host:~/tmp# apt-get build-dep dnscrypt-proxy
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libelogind0 : Conflicts: libsystemd0
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
root@host:~/tmp# exit
exit

Script done on 2021-03-02 15:14:50+09:00 [COMMAND_EXIT_CODE="100"]

Best regards, Ryutaroh Matsumoto


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.10.0-3-amd64 (SMP w/2 CPU threads)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Information forwarded to devuan-bugs@lists.dyne.org, Hleb Valoshka <375gnu@gmail.com>:
bug#562; Package src:dnscrypt-proxy. (Fri, 05 Mar 2021 17:33:02 GMT) (full text, mbox, link).


Message #8 received at 562@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>, 562@bugs.devuan.org
Subject: Re: bug#562: dnscrypt-proxy: apt-get build-dep dnscrypt-proxy usually fails
Date: Fri, 5 Mar 2021 17:20:50 +0000
Control: forcemerge 435 -1

Ryutaroh,

Thanks for this. However, ...

On Tue, Mar 02, 2021 at 03:21:50PM +0900, Ryutaroh Matsumoto wrote:
> Source: dnscrypt-proxy
> Version: 2.0.45+ds1
> Severity: normal
> Tags: ftbfs ceres chimaera
> 
> Dear Maintainer,
> 
> apt-get build-dep dnscrypt-proxy fails as follows under usual setup of Devuan.
> Is it a feature?

No, but it is a know situation with an established solution. The correct way of
building Devuan packages which depend on libsystemd-dev is with a build chroot
(sbuild, pbuilder...). This avoids conflicts on the host system between
libelogind0 and libsystemd-dev. This is documented in libelogind0's
README.Debian

This report is a duplicate of #435, so merging.

HTH

Mark

bug reassigned from package 'src:dnscrypt-proxy' to 'libelogind0'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Fri, 05 Mar 2021 18:18:02 GMT) (full text, mbox, link).


No longer marked as found in versions dnscrypt-proxy/2.0.45+ds1. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Fri, 05 Mar 2021 18:18:02 GMT) (full text, mbox, link).


Marked bug as done Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Fri, 05 Mar 2021 18:18:02 GMT) (full text, mbox, link).


Notification sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
bug acknowledged by developer. (Fri, 05 Mar 2021 18:18:02 GMT) (full text, mbox, link).


Marked as fixed in versions 243.8-1. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Fri, 05 Mar 2021 18:18:02 GMT) (full text, mbox, link).


Merged 435 562 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Fri, 05 Mar 2021 18:18:02 GMT) (full text, mbox, link).


Merged 435 562 574 Request was from Mark Hindley <mark@hindley.org.uk> to 574-submit@bugs.devuan.org. (Wed, 14 Apr 2021 11:33:04 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Mark Hindley <mark@hindley.org.uk> to 609-submit@bugs.devuan.org. (Mon, 20 Sep 2021 18:42:05 GMT) (full text, mbox, link).


Merged 435 562 574 609 Request was from Mark Hindley <mark@hindley.org.uk> to 609-submit@bugs.devuan.org. (Mon, 20 Sep 2021 18:42:05 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Dec 8 13:03:19 2021;